﻿@model SchoolProject.Models.ClassViewModel

@using (Html.BeginForm("AddClass", "Class", FormMethod.Post))
{
    
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-group">
                @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    @*<input type="submit" value="Create" class="btn btn-default" />*@
                    <input type="submit" value="Create" class="btn btn-default" onclick="location.href='@Url.Action("AddClass", "Class", new { model = Model })'" />
                </div>
            </div>
        </div>
    

}

    @section Scripts {
        @Scripts.Render("~/bundles/jqueryval")
    }
